# Projekt 2: Hangman

## Layers

### Start (Optional)

Beim Starten des Spiels soll ein Welcome screen erscheinen mit den Optionen, das Spiel zu starten und das Spiel zu beenden. Damit der Welcome screen gut aussieht soll es Terminal Art beinhalten. Nach dem Start Vorgang wird der Anzahl der Spieler gefragt.
Daraus entstehen 2 Szenarien:

1. Falls es im Einzelspieler Modus ist, wird ein Wort aus der Liste ausgesucht.
1. Falls im Mehrspieler Modus, darf der andere Spieler ein Wort zum Raten auswählen.

- [ ] Start input
- [ ] End input
- [ ] Invalid Input
- [ ] Single or Multiplayer
- [ ] Terminal Art

### Game

Das zu ratende Wort wird verdeckt im Terminal gezeigt. Es wird dann ein Input als Buchstabe verlangt. Wenn der Input zu lang oder ein invalid character ist, wird der Spieler nochmals dazu aufgefordert, ein Buchstabe einzugeben.
Daraus entstehen 2 Szenarien:

1. Ist der Buchstabe in der Zahl enthalten, wird der Buchstabe aufgedeckt und ein positiver Satz erscheint im Terminal.
1. Ist der Buchstabe falsch, so wird ein Leben abgezogen und ein negativer Satz wird ausgespuckt.

Während des ganzen Spiels wird der Terminal Art aktualisiert.

- [ ] Wort verdeckt im Terminal anzeigen
- [ ] Input von einem Buchstaben verlangen
- [ ] Input kontrollieren
- [ ] Buchstabe kontrollieren
- [ ] Positiver Satz 
- [ ] Buchstabe aufdecken
- [ ] Negativer Satz
- [ ] (Optional) Terminal Art

### End

Es entstehen daraus zwei Endszenarien:

1. Wurden alle Buchstaben eraten, so wird ein Gewinner Satz ausgesprochen und gefragt ob das Spiel neugestartet werden soll.
1. Wurden alle Versuche verbraucht, so wird ein verlierer Satz ausgesprochen, das Wort aufgelöst und gefragt, ob das Spiel neugestartet werden soll.

Falls das Programm geschlossen wird, wird ein Abschiedssatz gezeigt.

- [ ] Gewinner Satz
- [ ] Verlierer Satz
- [ ] (Optional) Fragen für eine neue Runde
- [ ] Abschiedssatz
